com.verisign.epp.codec.whois

## Class EPPWhoisTst

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.verisign.epp.codec.whois.EPPWhoisTst

- All Implemented Interfaces:
    junit.framework.Test

      public class EPPWhoisTst
      extends junit.framework.TestCase

  Is a unit test of the com.verisign.epp.codec.whois package. The unit test will execute, gather statistics, and output the results of a test of each com.verisign.epp.codec.whois package. The unit test is dependent on the use of JUNIT 3.5

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPWhoisTst(java.lang.String name)` Creates a new EPPWhoisTst object.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off ( `false`).
    `static void` | `setNumIterations(long aNumIterations)` Sets the number of iterations to run per test.
    `protected void` | `setUp()` JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPDomainMapFactory` with the `EPPCodec`.
    `static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPWhoisTst`.
    `protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
    `void` | `testWhoisInf()` Tests the `EPPWhoisInfo` info command extension.
    `void` | `testWhoisInfData()` Tests the `EPPWhoisInfoData` info response extension.

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPWhoisTst

          public EPPWhoisTst(java.lang.String name)

      Creates a new EPPWhoisTst object.
      Parameters:
        `name` - Name of test to execute

  - ### Method Detail

    - #### testWhoisInf

          public void testWhoisInf()

      Tests the `EPPWhoisInfo` info command extension. The tests include the following:
      1. Test adding the extension with a `true` flag value
      2. Test adding the extension with a `false` flag value

    - #### testWhoisInfData

          public void testWhoisInfData()

      Tests the `EPPWhoisInfoData` info response extension. The tests include the following:
      1. Test adding the extension with most common attributes set
      2. Test adding the extension with all attributes set

    - #### setUp

          protected void setUp()

      JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPDomainMapFactory` with the `EPPCodec`.
      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      JUNIT `tearDown`, which currently does nothing.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### suite

          public static junit.framework.Test suite()

      JUNIT `suite` static method, which returns the tests associated with `EPPWhoisTst`.
      Returns:
        `Junit` tests

    - #### main

          public static void main(java.lang.String[] args)

      Unit test main, which accepts the following system property options:
      - iterations Number of unit test iterations to run
      - validate Turn XML validation on (`true`) or off ( `false`). If validate is not specified, validation will be off.
      Parameters:
        `args` - Command line arguments

    - #### setNumIterations

          public static void setNumIterations(long aNumIterations)

      Sets the number of iterations to run per test.
      Parameters:
        `aNumIterations` - number of iterations to run per test

Copyright © VeriSign Inc. All Rights Reserved.